textlint-plugin-ruby
TypeScript icon, indicating that this package has built-in type declarations

3.0.3 • Public • Published

textlint-plugin-ruby

Ruby plugin for textlint

Install

Install with npm:

$ npm install --dev textlint-plugin-ruby

Install textlint-ruby with gem:

# requires >= 2.0.0
$ gem install textlint-ruby

Usage

Put following config to .textlintrc

{
  "plugins": {
    "ruby": true
  }
}

Options

  • extensions: string[]
    • Additional file extensions for markdown
  • execCommand: string[]
    • Default ["textlint-ruby", "--stdio"]
    • Set textlint-ruby executable command

For example, if you want to treat custom extensions as ruby, put following config to .textlintrc

{
  "plugins": {
    "ruby": {
      "extensions": [".rbx"]
    }
  }
}

For example, if you want to set specific textlint-ruby executable path, put following config to .textlintrc

# Use gem installed with Gemfile.
{
  "plugins": {
    "ruby": {
      "execCommand": ["bundle", "exec", "textlint-ruby", "--stdio"]
    }
  }
}

Package Sidebar

Install

npm i textlint-plugin-ruby

Weekly Downloads

2,782

Version

3.0.3

License

MIT

Unpacked Size

35.3 kB

Total Files

23

Last publish

Collaborators

  • shingo.sasaki
  • kesteer
  • yamish123
  • ackndev
  • ibulog
  • alpaca-tc
  • nabeliwo
  • atsushim
  • koba04
  • im36.123
  • smarthr-dev
  • ykarakita
  • cidermitaina
  • meganemura
  • wata727
  • wmoai
  • diescake
  • moshisora
  • tokky0425
  • hawaiiman
  • smarthr-admin
  • yamamoto-yuta
  • kgsi
  • otapo
  • kuny